Friday, June 14, 2024
HomeHow toInstall HandBrake Video Transcoder 1.8.0 in Ubuntu 24.04

Install HandBrake Video Transcoder 1.8.0 in Ubuntu 24.04

This is a step by step guide shows how to install the most recent Handbrake video transcoder 1.8.0 in Ubuntu 24.04 and Ubuntu 22.04. There’s also an option for those who are stick to the old Ubuntu 20.04, Ubuntu 18.04, and Ubuntu 16.04.

Handbrake is a popular free open-source tool for converting video from nearly any format, including DVD video (disc or ISO image), Matroska MKV, AVI, MP4, TS, M2TS. It has presets to easily output to Android, Apple, Chromecast compatible, and various other devices. And, it supports hardware acceleration to speed up transcoding using Intel, NVIDIA, or AMD GPUs.

The most recent version so far is HandBrake 1.8.0, that features GTK4 port for Linux, FFV1 video encoder (and new preset “Preservation FFV1”), TrueHD audio encoder, VP9 tunes, multi-pass CQ with VP9, and various other changes. See the release note page for details.


How to Install HandBrake in Ubuntu Linux

HandBrake is available in system repository for Ubuntu versions. It’s old, but supports all CPU architecture types, including amd64 (AMD/Intel), arm64/armhf (e.g., Raspberry Pi), ppc64el (BM POWER platform), riscv64 (RISC-V hardware), and s390x (IBM zSystems and LinuxONE) devices.

To install the package, launch either Ubuntu Software or App Center, then search & install it (filter by “Debian package”):

For the most recent versions, there are so far 2 choices for Ubuntu users on AMD/Intel and ARM64 platforms:

  • Official Flatpak package that works in all Ubuntu releases, including old Ubuntu 16.04/18.04, but runs in sandbox.
  • Ubuntu PPA, includes native .deb packages but unofficial.

Option 1: Install HandBrake 1.8.0 via Flatpak package (official)

The official Flatpak package is available in this Flathub page for most Linux users. It runs in sandbox environment, and takes more disk space due to run-time libraries.

To install the package in Ubuntu, press Ctrl+Alt+T to open up a terminal window, and do:

1. First, run command to enable Flatpak support:

sudo apt install flatpak

Old Ubuntu 18.04, 16.04 need to run sudo add-apt-repository ppa:flatpak/stable first to add the PPA, and run sudo apt update to refresh package cache, before being able to install the package.

2. After that, install the Handbrake Flatpak package by running command:

flatpak install https://dl.flathub.org/repo/appstream/fr.handbrake.ghb.flatpakref

Tips: First time installing a Flatpak package, may need a log out and back in to make app visible.

For the future updates of the Flatpak package, use the command to check & install:

flatpak update fr.handbrake.ghb

Option 2: Install HandBrake 1.8.0 via Ubuntu PPA

For those who prefer the native .deb packages, I maintains an unofficial PPA for Ubuntu 22.04, Ubuntu 23.10, and Ubuntu 24.04. Ubuntu 20.04 is no longer supported, since the new 1.8.0 release requires GTK4.

For choice, you may check this page to see if there’s any other PPA that contains the most recent HandBrake packages.

1. First, press Ctrl+Alt+T on keyboard to open up a terminal window. When it opens, run the command below to add the PPA:

sudo add-apt-repository ppa:ubuntuhandbook1/handbrake

Type user password (no visual feedback, just type in mind) when it asks and hit Enter to continue.

2. After that, run command to refresh package cache, though it’s should be done automatically.

sudo apt update

3. Finally, install the new HandBrake .deb package by running command:

sudo apt install handbrake

For choice, you may also run sudo apt install handbrake-cli to install the command line tool.

When installation done, search for and launch the app from either start/application menu or GNOME overview depends on your desktop environment.

With the Ubuntu PPA, you can use “Software Updater” to install updates for the HandBrake .deb package.

Uninstall HandBrake

To uninstall the Flatpak version of the video transcoder, open up a terminal window (Ctrl+Alt+T) and run command:

flatpak uninstall --delete-data fr.handbrake.ghb

Also run flatpak uninstall --unused to clear useless run-time libraries.

For the .deb package installed from either Ubuntu Software or Ubuntu PPA, use the command below to uninstall:

sudo apt remove --autoremove handbrake handbrake-cli

And, remove the Ubuntu PPA either from Software & Updates utility (under “Other Software” tab), or by running command:

sudo add-apt-repository --remove ppa:ubuntuhandbook1/handbrake



RELATED ARTICLES

LEAVE A REPLY

Please enter your comment!
Please enter your name here


Most Popular